net.sf.jasperreports.crosstabs.base

## Class JRBaseCellContents

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseElementGroup
  - - net.sf.jasperreports.crosstabs.base.JRBaseCellContents

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRCellContents, JRBoxContainer, JRChild, JRCloneable, JRElementGroup, JRPropertiesHolder, JRStyleContainer, JRVisitable

      public class JRBaseCellContents
      extends JRBaseElementGroup
      implements JRCellContents

  Base read-only implementation of `JRCellContents`.
  Version:
    $Id: JRBaseCellContents.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.awt.Color` | `backcolor`
    `protected JRDefaultStyleProvider` | `defaultStyleProvider`
    `protected int` | `height`
    `protected JRLineBox` | `lineBox`
    `protected ModeEnum` | `modeValue`
    `protected JRStyle` | `style`
    `protected java.lang.String` | `styleNameReference`
    `protected int` | `width`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElementGroup

      `children, elementGroup`

    - ### Fields inherited from interface net.sf.jasperreports.crosstabs.JRCellContents

      `NOT_CALCULATED, PROPERTIES_PREFIX, PROPERTY_COLUMN_SPAN, PROPERTY_ROW_SPAN, PROPERTY_TYPE, TYPE_COLUMN_HEADER, TYPE_CROSSTAB_HEADER, TYPE_CROSSTAB_TITLE, TYPE_DATA, TYPE_NO_DATA_CELL, TYPE_ROW_HEADER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRBaseCellContents(JRCellContents cell, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `java.awt.Color` | `getBackcolor()` Returns the cell background color.
    `java.awt.Color` | `getDefaultLineColor()`
    `JRDefaultStyleProvider` | `getDefaultStyleProvider()`
    `int` | `getHeight()` Returns the computed cell height.
    `JRLineBox` | `getLineBox()`
    `ModeEnum` | `getModeValue()` Returns the cell transparency mode.
    `JRPropertiesHolder` | `getParentProperties()` Returns the parent properties holder, whose properties are used as defaults for this object.
    `JRPropertiesMap` | `getPropertiesMap()` Returns this object's properties map.
    `JRStyle` | `getStyle()` Returns this object's style.
    `java.lang.String` | `getStyleNameReference()` Returns the name of an external style which is to be used by this object.
    `int` | `getWidth()` Returns the computed cell width.
    `boolean` | `hasProperties()` Checks whether the object has any properties.

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElementGroup

      `clone, getChildren, getElementByKey, getElementByKey, getElementGroup, getElements, getElements, visit`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElementGroup

      `getChildren, getElementByKey, getElementGroup, getElements`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChild

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRVisitable

      `visit`

- - ### Field Detail

    - #### defaultStyleProvider

          protected JRDefaultStyleProvider defaultStyleProvider

    - #### style

          protected JRStyle style

    - #### styleNameReference

          protected java.lang.String styleNameReference

    - #### modeValue

          protected ModeEnum modeValue

    - #### backcolor

          protected java.awt.Color backcolor

    - #### lineBox

          protected JRLineBox lineBox

    - #### width

          protected int width

    - #### height

          protected int height

  - ### Constructor Detail

    - #### JRBaseCellContents

          public JRBaseCellContents(JRCellContents cell,
                            JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getBackcolor

          public java.awt.Color getBackcolor()

      Description copied from interface: `JRCellContents`
      Returns the cell background color.

      The cell is filled with the background color only if the cell has opaque mode.

      Specified by:
        `getBackcolor` in interface `JRCellContents`
      Returns:
        the cell backcolor

    - #### getLineBox

          public JRLineBox getLineBox()

      Specified by:
        `getLineBox` in interface `JRBoxContainer`

    - #### getWidth

          public int getWidth()

      Description copied from interface: `JRCellContents`
      Returns the computed cell width.
      Specified by:
        `getWidth` in interface `JRCellContents`
      Returns:
        the computed cell width
      See Also:
        `JRCellContents.NOT_CALCULATED`

    - #### getHeight

          public int getHeight()

      Description copied from interface: `JRCellContents`
      Returns the computed cell height.
      Specified by:
        `getHeight` in interface `JRCellContents`
      Returns:
        the computed cell height
      See Also:
        `JRCellContents.NOT_CALCULATED`

    - #### getDefaultStyleProvider

          public JRDefaultStyleProvider getDefaultStyleProvider()

      Specified by:
        `getDefaultStyleProvider` in interface `JRStyleContainer`

    - #### getStyle

          public JRStyle getStyle()

      Description copied from interface: `JRStyleContainer`
      Returns this object's style.
      Specified by:
        `getStyle` in interface `JRStyleContainer`
      Returns:
        this object's style

    - #### getModeValue

          public ModeEnum getModeValue()

      Description copied from interface: `JRCellContents`
      Returns the cell transparency mode.
      Specified by:
        `getModeValue` in interface `JRCellContents`
      Returns:
        `ModeEnum.OPAQUE` or `ModeEnum.TRANSPARENT`

    - #### getStyleNameReference

          public java.lang.String getStyleNameReference()

      Description copied from interface: `JRStyleContainer`
      Returns the name of an external style which is to be used by this object.

      External styles are defined in `templates` and are resolved at fill time. This attribute is only effective if no direct style (as returned by `getStyle()` is specified for this object.
      Specified by:
        `getStyleNameReference` in interface `JRStyleContainer`
      Returns:
        the name of an external style

    - #### getDefaultLineColor

          public java.awt.Color getDefaultLineColor()

      Specified by:
        `getDefaultLineColor` in interface `JRBoxContainer`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRBaseElementGroup`

    - #### hasProperties

          public boolean hasProperties()

      Description copied from interface: `JRPropertiesHolder`
      Checks whether the object has any properties.
      Specified by:
        `hasProperties` in interface `JRPropertiesHolder`
      Returns:
        whether the object has any properties

    - #### getPropertiesMap

          public JRPropertiesMap getPropertiesMap()

      Description copied from interface: `JRPropertiesHolder`
      Returns this object's properties map.
      Specified by:
        `getPropertiesMap` in interface `JRPropertiesHolder`
      Returns:
        this object's properties map

    - #### getParentProperties

          public JRPropertiesHolder getParentProperties()

      Description copied from interface: `JRPropertiesHolder`
      Returns the parent properties holder, whose properties are used as defaults for this object.
      Specified by:
        `getParentProperties` in interface `JRPropertiesHolder`
      Returns:
        the parent properties holder, or `null` if no parent

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com